# For setting DND
$Client_Pre_Command_Handler{'presencedndelastixmt'}{'setastdb'} = sub {
    my @allreturn = ();
    my $origen   = shift;
    my $destino  = shift;
    my $contexto = shift;
    my $socket   = shift;
    my $return   = '';
    my ($key,$exten,$data) = split(/~/,$destino);

    my $dir = '/etc/asterisk/organizations/';
    my %tenant;
    opendir(DIR, $dir) or die $!;
    while (my $file = readdir(DIR)) {
        next if ($file =~ m/^\./);
        $tenant{uc($file)}=$file;
    }
    closedir(DIR);
    my $finaltenant = $tenant{$contexto};

    if($key eq "fop2state") {
        if($data ne "") {
            $return  = "Action: DBPut\r\n";
            $return .= "Family: DND\r\n";
            $return .= "Key: $finaltenant/$exten\r\n";
            $return .= "Val: YES\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

            $return  = "Action: DBPut\r\n";
            $return .= "Family: fop2state\r\n";
            $return .= "Key: SIP/$exten_$context\r\n";
            $return .= "Val: $data\r\n";
            $return .= "\r\n";
            push @allreturn, $return;


            $return  = "Action: Command\r\n";
            $return .= "Command: devstate change Custom:DEVDND$exten BUSY\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

            $return  = "Action: Command\r\n";
            $return .= "Command: devstate change Custom:DND$exten BUSY\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

        } else {
            $return  = "Action: DBDel\r\n";
            $return .= "Family: DND\r\n";
            $return .= "Key: $finaltenant/$exten\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

            $return  = "Action: DBDel\r\n";
            $return .= "Family: fop2state\r\n";
            $return .= "Key: SIP/$exten_$context\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

            $return  = "Action: Command\r\n";
            $return .= "Command: devstate change Custom:DEVDND$exten NOT_INUSE\r\n";
            $return .= "\r\n";
            push @allreturn, $return;

            $return  = "Action: Command\r\n";
            $return .= "Command: devstate change Custom:DND$exten NOT_INUSE\r\n";
            $return .= "\r\n";
            push @allreturn, $return;
        }
    }
    return @allreturn;
};
